
using System;
using System.Runtime.Serialization;

namespace Tesseract
{
	
	
	
	[Serializable]
	public class TesseractException : Exception, ISerializable
	{
		public TesseractException()
		{
		}

	 	public TesseractException(string message) : base(message)
		{
		}

		public TesseractException(string message, Exception innerException) : base(message, innerException)
		{
		}

		
		protected TesseractException(SerializationInfo info, StreamingContext context) : base(info, context)
		{
		}
	}
}

